Package com.ocient.jdbc.proto

# Interface PlanProtocol.IntersectOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.IntersectOperator`, `PlanProtocol.IntersectOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.IntersectOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getAll()` | this flag differentiates INTERSECT from INTERSECT ALL
`String` | `getCheckedExceptionCols​(int index)` | `repeated string checkedExceptionCols = 2;`
`com.google.protobuf.ByteString` | `getCheckedExceptionColsBytes​(int index)` | `repeated string checkedExceptionCols = 2;`
`int` | `getCheckedExceptionColsCount()` | `repeated string checkedExceptionCols = 2;`
`List<String>` | `getCheckedExceptionColsList()` | `repeated string checkedExceptionCols = 2;`
`String` | `getIgnoredCols​(int index)` | `repeated string ignoredCols = 3;`
`com.google.protobuf.ByteString` | `getIgnoredColsBytes​(int index)` | `repeated string ignoredCols = 3;`
`int` | `getIgnoredColsCount()` | `repeated string ignoredCols = 3;`
`List<String>` | `getIgnoredColsList()` | `repeated string ignoredCols = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getAll

boolean getAll()

    this flag differentiates INTERSECT from INTERSECT ALL

`bool all = 1;`

### getCheckedExceptionColsList

List<String> getCheckedExceptionColsList()
`repeated string checkedExceptionCols = 2;`

### getCheckedExceptionColsCount

int getCheckedExceptionColsCount()
`repeated string checkedExceptionCols = 2;`

### getCheckedExceptionCols

String getCheckedExceptionCols​(int index)
`repeated string checkedExceptionCols = 2;`

### getCheckedExceptionColsBytes

com.google.protobuf.ByteString getCheckedExceptionColsBytes​(int index)
`repeated string checkedExceptionCols = 2;`

### getIgnoredColsList

List<String> getIgnoredColsList()
`repeated string ignoredCols = 3;`

### getIgnoredColsCount

int getIgnoredColsCount()
`repeated string ignoredCols = 3;`

### getIgnoredCols

String getIgnoredCols​(int index)
`repeated string ignoredCols = 3;`

### getIgnoredColsBytes

com.google.protobuf.ByteString getIgnoredColsBytes​(int index)
`repeated string ignoredCols = 3;`